
QGIS Application - Bug report #5340

QGIS loses non-latin letters in new shapefiles

2012-04-11 08:05 AM - marisn -

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 15040

Description

Some of the recent changes have introduced attribute data loss for new shapefiles. Still present in 67c77e5

Steps to reproduce:

    -  Create a new Shapefile with a text field;

    -  Save it as "UTF-8" to provide non-latin letter support;

    -  Digitize a new feature and use following string as it's text attribute value: "Āšņļ ēždžķļūī";

    -  Finish digitizing, save edits;

    -  Open attribute table to observe all non-latin letters converted to "?".

I double checked that in layer properties "Provider encoding" is UTF-8.

qt 4.8.1

Related issues:

Related to QGIS Application - Bug report # 5255: Wrong codepage of shapefile Closed 2012-03-29

Related to QGIS Application - Bug report # 5911: Language Driver ID in dbf fi... Closed 2012-06-30

History

#1 - 2012-04-11 08:31 AM - Alexander Bruy

Probably related to #5255

#2 - 2012-05-30 05:29 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #5255 (gdal problem, not qgis one). Try the installer linked in #5255.
